commit:     a5c390a0fa031b0ce2dd6c8dd0d3badcfd8581d6
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Wed Mar  3 14:31:21 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Mar  7 02:02:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5c390a0

x11-libs/libwnck: EAPI 7

Closes: https://github.com/gentoo/gentoo/pull/19753
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 x11-libs/libwnck/libwnck-2.31.0-r1.ebuild | 52 +++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

diff --git a/x11-libs/libwnck/libwnck-2.31.0-r1.ebuild 
b/x11-libs/libwnck/libwnck-2.31.0-r1.ebuild
new file mode 100644
index 00000000000..392f0d732de
--- /dev/null
+++ b/x11-libs/libwnck/libwnck-2.31.0-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic gnome2
+
+DESCRIPTION="A window navigation construction kit"
+HOMEPAGE="https://www.gnome.org/";
+
+LICENSE="LGPL-2+"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos ~x64-solaris ~x86-solaris"
+
+IUSE="+introspection startup-notification"
+
+RDEPEND="
+       >=x11-libs/gtk+-2.19.7:2[introspection?]
+       >=dev-libs/glib-2.16:2
+       x11-libs/libX11
+       x11-libs/libXres
+       x11-libs/libXext
+       introspection? ( >=dev-libs/gobject-introspection-0.6.14:= )
+       startup-notification? ( >=x11-libs/startup-notification-0.4 )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/glib-utils
+       dev-util/gtk-doc-am
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+# eautoreconf needs
+#      gnome-base/gnome-common
+
+src_prepare() {
+       DOCS="AUTHORS ChangeLog HACKING NEWS README"
+
+       # Regenerate pregenerated marshalers for <glib-2.31 compatibility
+       rm -v libwnck/wnck-marshal.{c,h} || die "rm failed"
+
+       gnome2_src_prepare
+}
+
+src_configure() {
+       gnome2_src_configure \
+               --disable-static \
+               $(use_enable introspection) \
+               $(use_enable startup-notification)
+}

Reply via email to